Subject: git-merge: need a tap with the cluestick, please

From: walt <[email-masked]>
Date: Thu, 18 Oct 2007 09:17:55 -0700

I just tried my first local modification to Linus's tree, and I
can't get the merge to work.  Maybe my whole approach is wrong?

I wanted start compiling the kernel out-of-tree, so I added my
own 'obj' directory at the top level.

I then got conflicts when trying to pull from Linus, so I added
my 'obj' directory to my toplevel .gitignore file and committed
the local change to my 'master' branch.  (This is my only local
modification because I'm only tracking Linus, not developing the
kernel.)

Now when I pull from Linus the merge stops in the middle because of
conflicts with my .gitignore file <sigh>.  Anything I try now with
git-merge tells me I can't do that in the middle of a conflicted
merge.  Yes, I know that now, but what should I do instead?

I could move my 'obj' out-of-tree but then I wouldn't learn anything.
This has to be bone-head easy, but not for me :)

Clues most welcome.